import App from './App'

// #ifndef VUE3
import Vue from 'vue'
// vuex
import store from './store'
import log from "@/static/logo.png";
Vue.prototype.$store = store;
Vue.filter('lazyImage',data=>{
	return data || log;
})
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	store,
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
	  store,
    app
  }
}
// #endif